Bug 594663 (idalloc) - [abrt] crash in thunderbird-3.0.4-1.fc12: killed by signal 11 [@ idalloc]
Summary: [abrt] crash in thunderbird-3.0.4-1.fc12: killed by signal 11 [@ idalloc]
Keywords:
Status: CLOSED DUPLICATE of bug 597119
Alias: idalloc
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c5af972e2f1fcdb5f0c20cadd2a...
: 582937 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 09:34 UTC by isa i
Modified: 2018-04-11 06:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-25 22:57:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (98.52 KB, text/plain)
2010-05-21 09:34 UTC, isa i
no flags Details
Part of the thread where crash happened (2.32 KB, text/plain)
2010-09-23 22:26 UTC, Matěj Cepl
no flags Details

Description isa i 2010-05-21 09:34:52 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
global_uuid: c5af972e2f1fcdb5f0c20cadd2a8508c81497870
kernel: 2.6.32.11-99.fc12.x86_64
package: thunderbird-3.0.4-1.fc12
rating: 4
reason: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. create new message
2. paste some text copied from firefox
3.

Comment 1 isa i 2010-05-21 09:34:57 UTC
Created attachment 415630 [details]
File: backtrace

Comment 2 isa i 2010-05-21 09:52:56 UTC
rpm -qa *thunderbird* *mozilla* *flash* *plugin*
setroubleshoot-plugins-2.1.50-1.fc12.noarch
yum-plugin-auto-update-debug-info-1.1.26-1.fc12.noarch
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64
nspluginwrapper-1.3.0-10.fc12.x86_64
thunderbird-3.0.4-2.fc12.x86_64
report-plugin-localsave-0.10-5.fc12.x86_64
gstreamer-plugins-base-0.10.29-1.fc12.x86_64
gstreamer-plugins-good-0.10.22-1.fc12.x86_64
audacious-plugins-freeworld-ffaudio-2.2-3.fc12.x86_64
audacious-plugins-freeworld-2.2-3.fc12.x86_64
thunderbird-debuginfo-3.0.4-2.fc12.x86_64
gstreamer-plugins-bad-free-extras-0.10.18-1.fc12.x86_64
audacious-plugins-2.2-32.fc12.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc12.i686
gstreamer-plugins-bad-0.10.18-1.fc12.x86_64
mozilla-filesystem-1.9-5.fc12.x86_64
gdm-plugin-fingerprint-2.28.2-3.fc12.x86_64
PackageKit-gstreamer-plugin-0.5.7-2.fc12.x86_64
abrt-plugin-bugzilla-1.0.9-2.fc12.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc12.x86_64
audacious-plugins-freeworld-mms-2.2-3.fc12.x86_64
abrt-plugin-runapp-1.0.9-2.fc12.x86_64
report-plugin-scp-0.10-5.fc12.x86_64
audacious-plugins-freeworld-aac-2.2-3.fc12.x86_64
anaconda-yum-plugins-1.0-5.fc12.noarch
PackageKit-yum-plugin-0.5.7-2.fc12.x86_64
totem-mozplugin-2.28.5-1.fc12.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-38.b18.fc12.x86_64
gstreamer-plugins-base-0.10.29-1.fc12.i686
gstreamer-plugins-ugly-0.10.14-1.fc12.x86_64
abrt-plugin-logger-1.0.9-2.fc12.x86_64
avidemux-plugins-2.5.2-1.fc12.x86_64
audacious-plugins-freeworld-mp3-2.2-3.fc12.x86_64
report-plugin-bugzilla-0.10-5.fc12.x86_64
plymouth-plugin-label-0.8.0-0.2009.29.09.19.3.fc12.x86_64
plymouth-plugin-two-step-0.8.0-0.2009.29.09.19.3.fc12.x86_64
audacious-plugins-wavpack-2.2-32.fc12.x86_64

thread apply all backtrace

Thread 125 (Thread 0x7fffc6afe710 (LWP 1992)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00000031cb623089 in pt_TimedWait (cv=0x7fffd731df48, ml=0x7fffd8261058, timeout=0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
#2  0x00000031cb623c6c in PR_WaitCondVar (cvar=0x7fffd731df40, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419
#3  0x00000031cb623d86 in PR_Wait (mon=0x7fffd8261050, timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601
#4  0x00000031c766c6d2 in Wait (this=0x7fffd4ba9be0) at ../../dist/include/xpcom/nsAutoLock.h:340
#5  nsThreadPool::Run (this=0x7fffd4ba9be0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThreadPool.cpp:210
#6  0x00000031c766ab95 in nsThread::ProcessNextEvent (this=0x7fffc8cfbee0, mayWait=1, result=0x7fffc6afdd2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:521
#7  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#8  0x00000031c766b265 in nsThread::ThreadFunc (arg=0x7fffc8cfbee0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:254
#9  0x00000031cb629853 in _pt_root (arg=0x7fffc6fa4890) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#10 0x00000031bbe06a3a in start_thread (arg=0x7fffc6afe710) at pthread_create.c:297
#11 0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 123 (Thread 0x7fffcb3ff710 (LWP 1990)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00000031cb623089 in pt_TimedWait (cv=0x7fffe99ec7c8, ml=0x7fffe99d2718, timeout=0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
#2  0x00000031cb623c6c in PR_WaitCondVar (cvar=0x7fffe99ec7c0, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419
#3  0x00000031cb623d86 in PR_Wait (mon=0x7fffe99d2710, timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601
#4  0x00000031c766c6d2 in Wait (this=0x7fffe99ceca0) at ../../dist/include/xpcom/nsAutoLock.h:340
#5  nsThreadPool::Run (this=0x7fffe99ceca0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThreadPool.cpp:210
#6  0x00000031c766ab95 in nsThread::ProcessNextEvent (this=0x7fffc7b5b0d0, mayWait=1, result=0x7fffcb3fed2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:521
#7  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#8  0x00000031c766b265 in nsThread::ThreadFunc (arg=0x7fffc7b5b0d0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:254
#9  0x00000031cb629853 in _pt_root (arg=0x7fffc6fa1150) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#10 0x00000031bbe06a3a in start_thread (arg=0x7fffcb3ff710) at pthread_create.c:297
#11 0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 95 (Thread 0x7fffd9cfe710 (LWP 1594)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00000031cb623089 in pt_TimedWait (cv=0x7fffef00d288, ml=0x7fffef416ea0, timeout=0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
#2  0x00000031cb623c6c in PR_WaitCondVar (cvar=0x7fffef00d280, timeout=300000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419
#3  0x00007fffee13b0cf in nsHostResolver::GetHostToLookup (this=0x7fffef488240, result=0x7fffd9cfdd48) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/dns/src/nsHostResolver.cpp:773
#4  0x00007fffee13b994 in nsHostResolver::ThreadFunc (arg=0x7fffef488240) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/dns/src/nsHostResolver.cpp:877
#5  0x00000031cb629853 in _pt_root (arg=0x7fffd63af360) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#6  0x00000031bbe06a3a in start_thread (arg=0x7fffd9cfe710) at pthread_create.c:297
#7  0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 37 (Thread 0x7fffd80ff710 (LWP 1300)):
#0  0x00000031bb6d5193 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fffd2e8473f in poll_func (ufds=0x7fffd37c2f60, nfds=2, timeout=-1, userdata=0x7fffcfeffbe0) at pulse/thread-mainloop.c:75
#2  0x00007fffd2e74ae6 in pa_mainloop_poll (m=0x7fffde254900) at pulse/mainloop.c:879
#3  0x00007fffd2e75ea9 in pa_mainloop_iterate (m=0x7fffde254900, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00007fffd2e75f60 in pa_mainloop_run (m=0x7fffde254900, retval=0x0) at pulse/mainloop.c:979
#5  0x00007fffd2e8464b in thread (userdata=0x7fffcfeffb80) at pulse/thread-mainloop.c:94
#6  0x00007fffd2c41838 in internal_thread_func (userdata=0x7fffd37c2ec0) at pulsecore/thread-posix.c:72
#7  0x00000031bbe06a3a in start_thread (arg=0x7fffd80ff710) at pthread_create.c:297
#8  0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fffdd0e8710 (LWP 1223)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000031cb623d0e in PR_WaitCondVar (cvar=0x7fffe719f3c0, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417
#2  0x00000031cb623d86 in PR_Wait (mon=0x7fffdf5bdf30, timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601
#3  0x00000031c7669f1f in Wait (this=0x7fffe99ef780, mayWait=1, result=0x7fffdd0e7cc0) at ../../dist/include/xpcom/nsAutoLock.h:340
#4  nsEventQueue::GetEvent (this=0x7fffe99ef780, mayWait=1, result=0x7fffdd0e7cc0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsEventQueue.cpp:85
#5  0x00000031c766ab74 in GetEvent (this=0x7fffe99ef740, mayWait=1, result=0x7fffdd0e7d2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.h:112
#6  nsThread::ProcessNextEvent (this=0x7fffe99ef740, mayWait=1, result=0x7fffdd0e7d2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:512
#7  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#8  0x00000031c766b265 in nsThread::ThreadFunc (arg=0x7fffe99ef740) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:254
#9  0x00000031cb629853 in _pt_root (arg=0x7fffe33e3bd0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#10 0x00000031bbe06a3a in start_thread (arg=0x7fffdd0e8710) at pthread_create.c:297
#11 0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fffe10ff710 (LWP 1222)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000031cb623d0e in PR_WaitCondVar (cvar=0x7fffe719f380, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417
#2  0x00007fffe6e96d42 in nsCertVerificationThread::Run (this=0x7fffe68cdf20) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/security/manager/ssl/src/nsCertVerificationThread.cpp:138
#3  0x00000031cb629853 in _pt_root (arg=0x7fffe33e3ac0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#4  0x00000031bbe06a3a in start_thread (arg=0x7fffe10ff710) at pthread_create.c:297
#5  0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fffddae9710 (LWP 1221)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000031cb623d0e in PR_WaitCondVar (cvar=0x7fffe719f340, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417
#2  0x00007fffe6e95f4d in nsSSLThread::Run (this=0x7fffe719f300) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/security/manager/ssl/src/nsSSLThread.cpp:978
#3  0x00000031cb629853 in _pt_root (arg=0x7fffe33e39b0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#4  0x00000031bbe06a3a in start_thread (arg=0x7fffddae9710) at pthread_create.c:297
#5  0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fffe43ff710 (LWP 1213)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000031cb623d0e in PR_WaitCondVar (cvar=0x7fffe4487ac0, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417
#2  0x00000031cb623d86 in PR_Wait (mon=0x7fffe46d8de0, timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601
#3  0x00000031c7669f1f in Wait (this=0x7fffe4445660, mayWait=1, result=0x7fffe43fecc0) at ../../dist/include/xpcom/nsAutoLock.h:340
#4  nsEventQueue::GetEvent (this=0x7fffe4445660, mayWait=1, result=0x7fffe43fecc0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsEventQueue.cpp:85
#5  0x00000031c766ab74 in GetEvent (this=0x7fffe4445620, mayWait=1, result=0x7fffe43fed2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.h:112
#6  nsThread::ProcessNextEvent (this=0x7fffe4445620, mayWait=1, result=0x7fffe43fed2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:512
#7  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#8  0x00000031c766b265 in nsThread::ThreadFunc (arg=0x7fffe4445620) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:254
#9  0x00000031cb629853 in _pt_root (arg=0x7fffe45dc590) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#10 0x00000031bbe06a3a in start_thread (arg=0x7fffe43ff710) at pthread_create.c:297
#11 0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fffeae9f710 (LWP 1208)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00000031cb623089 in pt_TimedWait (cv=0x7ffff7dfa288, ml=0x7fffef415110, timeout=950) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
#2  0x00000031cb623c6c in PR_WaitCondVar (cvar=0x7ffff7dfa280, timeout=950) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419
#3  0x00000031c766dff0 in TimerThread::Run (this=0x7ffff7d43440) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/TimerThread.cpp:345
#4  0x00000031c766ab95 in nsThread::ProcessNextEvent (this=0x7fffec027ee0, mayWait=1, result=0x7fffeae9ed2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:521
#5  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#6  0x00000031c766b265 in nsThread::ThreadFunc (arg=0x7fffec027ee0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:254
#7  0x00000031cb629853 in _pt_root (arg=0x7ffff7d11250) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#8  0x00000031bbe06a3a in start_thread (arg=0x7fffeae9f710) at pthread_create.c:297
#9  0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fffecbb8710 (LWP 1207)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00000031cb623089 in pt_TimedWait (cv=0x7fffef00dcc8, ml=0x7fffef46c3d0, timeout=0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
#2  0x00000031cb623c6c in PR_WaitCondVar (cvar=0x7fffef00dcc0, timeout=1000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419
#3  0x00007fffecbeea15 in XPCJSRuntime::WatchdogMain (arg=0x7ffff7d1e190) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/xpcjsruntime.cpp:819
#4  0x00000031cb629853 in _pt_root (arg=0x7ffff7d10ae0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#5  0x00000031bbe06a3a in start_thread (arg=0x7fffecbb8710) at pthread_create.c:297
#6  0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffee0d2710 (LWP 1206)):
#0  0x00000031bb6d5193 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000031cb62573f in _pr_poll_with_poll (pds=0x7fffef4919c0, npds=<value optimized out>, timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
#2  0x00007fffee131e15 in nsSocketTransportService::Poll (this=<value optimized out>, wait=<value optimized out>, interval=0x7fffee0d1b9c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/base/src/nsSocketTransportService2.cpp:355
#3  0x00007fffee1322ce in nsSocketTransportService::DoPollIteration (this=0x7fffef491000, wait=1) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/base/src/nsSocketTransportService2.cpp:660
#4  0x00007fffee1324e0 in nsSocketTransportService::OnProcessNextEvent (this=0x7fffef491000, thread=0x7ffff7d4f280, mayWait=<value optimized out>, depth=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/base/src/nsSocketTransportService2.cpp:539
#5  0x00000031c766ab40 in nsThread::ProcessNextEvent (this=0x7ffff7d4f280, mayWait=1, result=0x7fffee0d1c6c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:508
#6  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#7  0x00007fffee132024 in nsSocketTransportService::Run (this=0x7fffef491000) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/base/src/nsSocketTransportService2.cpp:581
#8  0x00000031c766ab95 in nsThread::ProcessNextEvent (this=0x7ffff7d4f280, mayWait=1, result=0x7fffee0d1d2c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:521
#9  0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#10 0x00000031c766b265 in nsThread::ThreadFunc (arg=0x7ffff7d4f280) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:254
#11 0x00000031cb629853 in _pt_root (arg=0x7ffff7d109d0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#12 0x00000031bbe06a3a in start_thread (arg=0x7fffee0d2710) at pthread_create.c:297
#13 0x00000031bb6de62d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffff7fc8840 (LWP 1203)):
#0  _PR_x86_64_AtomicDecrement () at ../../../../mozilla/nsprpub/pr/src/md/unix/os_Linux_x86_64.s:64
#1  0x00000031c76829f1 in nsStringBuffer::Release (this=0x7ffefffffff9) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/string/src/nsSubstring.cpp:186
#2  0x00007fffebdc97f6 in ~nsCString (this=<value optimized out>, aTransferable=0x7fffd061c340, aWhichClipboard=<value optimized out>) at ../../../dist/include/string/nsTString.h:55
#3  ~nsFixedCString (this=<value optimized out>, aTransferable=0x7fffd061c340, aWhichClipboard=<value optimized out>) at ../../../dist/include/string/nsTString.h:429
#4  ~nsCAutoString (this=<value optimized out>, aTransferable=0x7fffd061c340, aWhichClipboard=<value optimized out>) at ../../../dist/include/string/nsTString.h:479
#5  nsClipboard::GetData (this=<value optimized out>, aTransferable=0x7fffd061c340, aWhichClipboard=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsClipboard.cpp:390
#6  0x00007fffe91a12e4 in nsHTMLEditor::Paste (this=0x7fffde358800, aSelectionType=1) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/editor/libeditor/html/nsHTMLDataTransfer.cpp:1877
#7  0x00007fffe90967ec in nsPasteCommand::DoCommand (this=<value optimized out>, aCommandName=<value optimized out>, aCommandRefCon=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/editor/libeditor/base/nsEditorCommands.cpp:418
#8  0x00007fffeb0e43d9 in nsControllerCommandTable::DoCommand (this=0x7fffdea89270, aCommandName=0x7fffebde18b7 "cmd_paste", aCommandRefCon=0x7fffde358800)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/embedding/components/commandhandler/src/nsControllerCommandTable.cpp:191
#9  0x00007fffeb0e2025 in nsBaseCommandController::DoCommand (this=0x7fffd45a2dc0, aCommand=0x7fffebde18b7 "cmd_paste") at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/embedding/components/commandhandler/src/nsBaseCommandController.cpp:169
#10 0x00007fffe8ffc44a in DoCommandCallback (aCommand=0x7fffebde18b7 "cmd_paste", aData=0x7fffde331dc0) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/xbl/src/nsXBLWindowKeyHandler.cpp:315
#11 0x00007fffebdc0ac6 in paste_clipboard_cb (w=0x7fffde325500, user_data=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsNativeKeyBindings.cpp:211
#12 0x00000031bea0ba8e in IA__g_closure_invoke (closure=0x7fffd5fb8d90, return_value=0x7fffffffc120, n_param_values=1, param_values=0x7fffc820f440, invocation_hint=0x7fffffffbfb0) at gclosure.c:767
#13 0x00000031bea20ec3 in signal_emit_unlocked_R (node=<value optimized out>, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>) at gsignal.c:3247
#14 0x00000031c52807d0 in gtk_binding_entry_activate (entry=0x7fffd5fb8640, object=<value optimized out>) at gtkbindings.c:537
#15 0x00000031c5280d20 in binding_match_activate (pspec_list=<value optimized out>, object=0x7fffde325500, path_length=11, path=0x7fffd0db2c20 "GtkTextView", path_reversed=0x7fffd0db2c30 "weiVtxeTktG", unbound=<value optimized out>) at gtkbindings.c:1123
#16 0x00000031c5280fa9 in gtk_bindings_activate_list (object=0x7fffde325500, entries=<value optimized out>, is_release=<value optimized out>) at gtkbindings.c:1268
#17 0x00000031c5281362 in IA__gtk_bindings_activate (object=0x7fffde325500, keyval=<value optimized out>, modifiers=<value optimized out>) at gtkbindings.c:1321
#18 0x00007fffebdc081a in nsNativeKeyBindings::KeyPressInternal (this=0x7fffde10bc60, aEvent=<value optimized out>, aCallback=<value optimized out>, aCallbackData=<value optimized out>, aKeyCode=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsNativeKeyBindings.cpp:339
#19 0x00007fffebdc0882 in nsNativeKeyBindings::KeyPress (this=0x7fffde10bc60, aEvent=..., aCallback=0x7fffe8ffc402 <DoCommandCallback(char const*, void*)>, aCallbackData=0x7fffde331dc0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsNativeKeyBindings.cpp:283
#20 0x00007fffe8ffd592 in nsXBLWindowKeyHandler::WalkHandlers (this=<value optimized out>, aKeyEvent=0x7fffd043d2c0, aEventType=0x7fffe9992290) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/xbl/src/nsXBLWindowKeyHandler.cpp:381
#21 0x00007fffe8ffd70f in nsXBLWindowKeyHandler::KeyPress (this=0x7fffd6226c40, aEvent=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/xbl/src/nsXBLWindowKeyHandler.cpp:419
#22 0x00007fffe8f3aa2a in DispatchToInterface (this=0x7fffd73552a0, aPresContext=<value optimized out>, aEvent=0x7fffffffca40, aDOMEvent=0x7fffffffc690, aCurrentTarget=<value optimized out>, aFlags=<value optimized out>, aEventStatus=0x7fffffffc698)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/events/src/nsEventListenerManager.cpp:184
#23 nsEventListenerManager::HandleEvent (this=0x7fffd73552a0, aPresContext=<value optimized out>, aEvent=0x7fffffffca40, aDOMEvent=0x7fffffffc690, aCurrentTarget=<value optimized out>, aFlags=<value optimized out>, aEventStatus=0x7fffffffc698)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/events/src/nsEventListenerManager.cpp:1202
#24 0x00007fffe8f53136 in nsEventTargetChainItem::HandleEvent (this=0x7fffdac0e268, aVisitor=..., aFlags=514, aMayHaveNewListenerManagers=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/events/src/nsEventDispatcher.cpp:236
#25 0x00007fffe8f532fd in nsEventTargetChainItem::HandleEventTargetChain (this=<value optimized out>, aVisitor=..., aFlags=<value optimized out>, aCallback=0x7fffffffc730, aMayHaveNewListenerManagers=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/events/src/nsEventDispatcher.cpp:324
#26 0x00007fffe8f53385 in nsEventTargetChainItem::HandleEventTargetChain (this=<value optimized out>, aVisitor=..., aFlags=<value optimized out>, aCallback=0x7fffffffc730, aMayHaveNewListenerManagers=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/events/src/nsEventDispatcher.cpp:354
#27 0x00007fffe8f536f3 in nsEventDispatcher::Dispatch (aTarget=0x7fff, aPresContext=<value optimized out>, aEvent=0x7fffffffca40, aDOMEvent=0x0, aEventStatus=0x7fffffffc86c, aCallback=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/content/events/src/nsEventDispatcher.cpp:514
#28 0x00007fffe8db455b in PresShell::HandleEventInternal (this=0x7fffe0436800, aEvent=0x7fffffffca40, aView=<value optimized out>, aStatus=0x7fffffffc86c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/layout/base/nsPresShell.cpp:6323
#29 0x00007fffe8dbd0d6 in PresShell::HandleEvent (this=0x7fffe0436800, aView=0x7fffde348380, aEvent=0x7fffffffca40, aEventStatus=0x7fffffffc86c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/layout/base/nsPresShell.cpp:6123
#30 0x00007fffe901a906 in nsViewManager::HandleEvent (this=<value optimized out>, aView=0x7fffde348380, aPoint=<value optimized out>, aEvent=0x7fffffffca40, aCaptured=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/view/src/nsViewManager.cpp:1400
#31 0x00007fffe901cc01 in nsViewManager::DispatchEvent (this=0x7fffd39a4fb0, aEvent=0x7fffffffca40, aStatus=0x7fffffffc96c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/view/src/nsViewManager.cpp:1359
#32 0x00007fffe9018005 in HandleEvent (aEvent=0x7fffffffca40) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/view/src/nsView.cpp:168
#33 0x00007fffebdb0719 in nsWindow::DispatchEvent (this=0x7fffde322f80, aEvent=<value optimized out>, aStatus=@0x7fffffffcacc) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsWindow.cpp:577
#34 0x00007fffebdbac49 in nsWindow::OnKeyPressEvent (this=0x7fffde322f80, aWidget=<value optimized out>, aEvent=0x7fffd638a040) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsWindow.cpp:3305
#35 0x00007fffebdbacaf in key_press_event_cb (widget=0x7fffd4bbb200, event=0x7fffd638a040) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/gtk2/nsWindow.cpp:5696
#36 0x00000031c5353ae3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x7fffd61af580, return_value=0x7fffffffcd00, n_param_values=<value optimized out>, param_values=0x7fffcbadc520, invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gtkmarshalers.c:84
#37 0x00000031bea0ba8e in IA__g_closure_invoke (closure=0x7fffd61af580, return_value=0x7fffffffcd00, n_param_values=2, param_values=0x7fffcbadc520, invocation_hint=0x7fffffffccc0) at gclosure.c:767
#38 0x00000031bea20ec3 in signal_emit_unlocked_R (node=<value optimized out>, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>) at gsignal.c:3247
#39 0x00000031bea220fa in IA__g_signal_emit_valist (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>, var_args=0x7fffffffceb0) at gsignal.c:2990
#40 0x00000031bea227a3 in IA__g_signal_emit (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3037
#41 0x00000031c547634f in gtk_widget_event_internal (widget=0x7fffd4bbb200, event=0x7fffd638a040) at gtkwidget.c:4775
#42 0x00000031c548b504 in IA__gtk_window_propagate_key_event (window=<value optimized out>, event=0x7fffd638a040) at gtkwindow.c:5144
#43 0x00000031c5490a4b in gtk_window_key_press_event (widget=0x7fffdbd646a0, event=0x7fffd638a040) at gtkwindow.c:5174
#44 0x00000031c5353ae3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x7ffff7d81380, return_value=0x7fffffffd1d0, n_param_values=<value optimized out>, param_values=0x7fffcba05a00, invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gtkmarshalers.c:84
#45 0x00000031bea0ba8e in IA__g_closure_invoke (closure=0x7ffff7d81380, return_value=0x7fffffffd1d0, n_param_values=2, param_values=0x7fffcba05a00, invocation_hint=0x7fffffffd190) at gclosure.c:767
#46 0x00000031bea20b8d in signal_emit_unlocked_R (node=<value optimized out>, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>) at gsignal.c:3285
#47 0x00000031bea220fa in IA__g_signal_emit_valist (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>, var_args=0x7fffffffd380) at gsignal.c:2990
#48 0x00000031bea227a3 in IA__g_signal_emit (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3037
#49 0x00000031c547634f in gtk_widget_event_internal (widget=0x7fffdbd646a0, event=0x7fffd638a040) at gtkwidget.c:4775
#50 0x00000031c534a93b in IA__gtk_propagate_event (widget=0x7fffdbd646a0, event=0x7fffd638a040) at gtkmain.c:2391
#51 0x00000031c534b983 in IA__gtk_main_do_event (event=0x7fffd638a040) at gtkmain.c:1622
#52 0x00000031c465feac in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2372
#53 0x00000031bce3923e in g_main_dispatch (context=0x7ffff7d166d0) at gmain.c:1960
#54 IA__g_main_context_dispatch (context=0x7ffff7d166d0) at gmain.c:2513
#55 0x00000031bce3cc28 in g_main_context_iterate (context=0x7ffff7d166d0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2591
#56 0x00000031bce3cd4a in IA__g_main_context_iteration (context=0x7ffff7d166d0, may_block=1) at gmain.c:2654
#57 0x00007fffebdcf077 in nsBaseAppShell::DoProcessNextNativeEvent (this=0x7fffef47cd60, mayWait=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/xpwidgets/nsBaseAppShell.cpp:151
#58 0x00007fffebdcf1dd in nsBaseAppShell::OnProcessNextEvent (this=0x7fffef47cd60, thr=0x7ffff7d4f160, mayWait=1, recursionDepth=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/xpwidgets/nsBaseAppShell.cpp:296
#59 0x00000031c766ab40 in nsThread::ProcessNextEvent (this=0x7ffff7d4f160, mayWait=1, result=0x7fffffffd75c) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/threads/nsThread.cpp:508
#60 0x00000031c763dbc4 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#61 0x00007fffebdcf2cd in nsBaseAppShell::Run (this=0x7fffef47cd60) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/widget/src/xpwidgets/nsBaseAppShell.cpp:170
#62 0x00007fffeb2fe9e0 in nsAppStartup::Run (this=0x7fffec055c00) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/toolkit/components/startup/src/nsAppStartup.cpp:193
#63 0x00000031c8218eb2 in XRE_main (argc=<value optimized out>, argv=<value optimized out>, aAppData=<value optimized out>) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/toolkit/xre/nsAppRunner.cpp:3321
#64 0x0000000000401a64 in main (argc=1, argv=0x7fffffffdf88) at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mail/app/nsMailApp.cpp:103

Comment 3 Matěj Cepl 2010-09-23 22:26:21 UTC
Created attachment 449316 [details]
Part of the thread where crash happened

Comment 4 Matěj Cepl 2010-09-24 17:03:11 UTC
*** Bug 582937 has been marked as a duplicate of this bug. ***

Comment 5 Matěj Cepl 2010-09-25 22:57:54 UTC

*** This bug has been marked as a duplicate of bug 597119 ***


Note You need to log in before you can comment on or make changes to this bug.